[RISOLTO] SimpleScreenRecorder problema librerie

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Rispondi
Avatar utente
shellx
Linux 0.x
Linux 0.x
Messaggi: 15
Iscritto il: mer 12 ott 2016, 23:38
Slackware: 14.2
Kernel: 4.4.14
Desktop: Fluxbox
Contatta:

[RISOLTO] SimpleScreenRecorder problema librerie

Messaggio da shellx »

Salve a tutti, premetto che uso da poco una slackware, ho una slackware 14.2 64bit ho un problema con il software SimpleScreenRecorder:
scarico ed installo il pacchetto simplescreenrecorder-20131227-x86_64-1alien.tgz, l'installazione va a buon fine. Dopo provo a lanciare da terminale il programma richiamandolo con simplescreenrecorder, quello che ottengo da terminale è il seguente errore:

Codice: Seleziona tutto

simplescreenrecorder: error while loading shared libraries: libavformat.so.55: cannot open shared object file: No such file or directory
provo quindi a reperire quella libreria di cui ha bisogno (libavformat.so.55) ed installarla a sua volta, ma una volta fatto e riprovando a reinstallare e rilanciare simplescreenrecorder ottengo il medesimo errore. Facendo un giro sul web sono incappato su questo sito https://www.vivaolinux.com.br/dica/Simp ... s-Multilib ..... lui usa una 14.1 64bit, ma sinceramente non ri3esco a cpaire bene la sua procedura. Aldila di questa avete idea di come posso risolvere tale problema ? Io credo che si tratti di un problerma multilib della mia distribuzione, nel senso che alcune librerie alcuni software non riescono a intercettarle nelle directory corrette, ma ripeto è una mia sensazione. Ergo chiedo aiuto a voi che siete piu esperti di me. Grazie.
Ultima modifica di shellx il mer 15 gen 2020, 19:38, modificato 2 volte in totale.
Il sistema dell'universo e dello spazio è come un immenso computer: speriamo non giri Windows

gian_d
Linux 2.x
Linux 2.x
Messaggi: 220
Iscritto il: mer 16 lug 2014, 17:35
Nome Cognome: Giancarlo Dessì
Slackware: 64 current
Kernel: 5.4.xx
Desktop: KDE 4.14.38
Località: Sardinia
Contatta:

Re: SimpleScreenRecorder problema librerie

Messaggio da gian_d »

ma... una domanda stupida: hai installato ffmpeg?

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2725
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.5.3-ck1
Desktop: lxde
Località: Pisa
Contatta:

Re: SimpleScreenRecorder problema librerie

Messaggio da ponce »

credo che il pacchetto di Alien Bob sia stato creato l'ultima volta nel 2013, con una versione di ffmpeg diversa da quella che distribuisce adesso o che puoi trovare su SBo.

ti conviene farti un pacchetto da solo utilizzando questo SlackBuild, che dovrebbe supportare anche versioni piu' recenti di ffmpeg (quello ti ci vuole sicuramente)

https://slackbuilds.org/repository/14.2/desktop/ssr/

Avatar utente
shellx
Linux 0.x
Linux 0.x
Messaggi: 15
Iscritto il: mer 12 ott 2016, 23:38
Slackware: 14.2
Kernel: 4.4.14
Desktop: Fluxbox
Contatta:

Re: SimpleScreenRecorder problema librerie

Messaggio da shellx »

Inazittutto voglio ringraziarvi per il celere supporto, allora ffmpeg non l'ho installato ancora, ho proceduto a fare come suggeritomi da ponce, ho scaricato quello slackbuild, decompresso il file ssr.tar.gz , ho copiato il file ssr-0.3.11.tar.gz all'interno della directory ssr (prcedentemente decompressa), da terminale in root faccio un chmod +x al file ssr.Slackbuild e lo lancio con ./ssr.Slackbuild. Inizia a fare una cascata di compilazione e installazioni che sembrano soddisfare tutto, ma dopo termina in questo modo:

Codice: Seleziona tutto

 ......
- The following REQUIRED packages have been found:

 * OpenGL
 * Threads
 * X11
 * ALSA
 * PkgConfig
 * PulseAudio
 * Qt4 (required version >= 4.8)

-- The following REQUIRED packages have not been found:

 * FFmpeg

CMake Error at /usr/share/cmake-3.5/Modules/FeatureSummary.cmake:556 (message):
  feature_summary() Error: REQUIRED package(s) are missing, aborting CMake
  run.
Call Stack (most recent call first):
  CMakeLists.txt:110 (feature_summary)


CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
/tmp/SBo/ssr-0.3.11/src/AVCODEC_INCLUDE_DIR
   used as include directory in directory /tmp/SBo/ssr-0.3.11/src
/tmp/SBo/ssr-0.3.11/src/AVFORMAT_INCLUDE_DIR
   used as include directory in directory /tmp/SBo/ssr-0.3.11/src
/tmp/SBo/ssr-0.3.11/src/AVUTIL_INCLUDE_DIR
   used as include directory in directory /tmp/SBo/ssr-0.3.11/src
/tmp/SBo/ssr-0.3.11/src/SWSCALE_INCLUDE_DIR
   used as include directory in directory /tmp/SBo/ssr-0.3.11/src
AVCODEC_LIBRARY (ADVANCED)
    linked by target "simplescreenrecorder" in directory /tmp/SBo/ssr-0.3.11/src
AVFORMAT_LIBRARY (ADVANCED)
    linked by target "simplescreenrecorder" in directory /tmp/SBo/ssr-0.3.11/src
AVUTIL_LIBRARY (ADVANCED)
    linked by target "simplescreenrecorder" in directory /tmp/SBo/ssr-0.3.11/src
SWSCALE_LIBRARY (ADVANCED)
    linked by target "simplescreenrecorder" in directory /tmp/SBo/ssr-0.3.11/src

-- Configuring incomplete, errors occurred!
See also "/tmp/SBo/ssr-0.3.11/build/CMakeFiles/CMakeOutput.log".
See also "/tmp/SBo/ssr-0.3.11/build/CMakeFiles/CMakeError.log".
devo installare ffmpeg prima di compilare la slackbuild di ssr ? Se si qual'è il migliore pacchetto ffmpeg da reperire per questa SB ?

Grazie ancora...
Il sistema dell'universo e dello spazio è come un immenso computer: speriamo non giri Windows

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3173
Iscritto il: ven 27 apr 2007, 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: SimpleScreenRecorder problema librerie

Messaggio da joe »

Sì devi installare FFmpeg.
Quale sia il migliore non lo so. Siccome stai usando uno slackbuild preso da SBo penso che se install FFmpeg dallo slackbuild di SBo, non ti darà troppe rogne.
Ma occhio che anche lui richiederà altri pacchetti di dipendenza per compilare.
Leggi alla riga REQUIRED dei file ".info" che tutti gli slackbuilds di SBo contengono.
https://slackbuilds.org/slackbuilds/14. ... r/ssr.info

Per lo scopo, fossi in te imparerei ad usare sbopkg e sqg:
https://sbopkg.org

Tornando a ffmpeg Io ne avevo installata una versione precompilata, presa dal repo di AlienBob, anche qui, ti consiglio di impararti slackpkg+:
http://slakfinder.org/slackpkg+.html

Poi a dire il vero l'avevo ricompilato usando lo slackbuild di AlienBob, non mi ricordo più per quale motivo... forse avevo integrato una patch per qualche cosa che mi dava problemi.

PS.
In ogni caso con quei due tools installi disinstalli e aggiorni i pacchetti dai vari repositories, ufficiale e terzi e in più gestisci gli slackbuilds di SBo avendo così a disposizione un parco software di tutto rispetto.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2725
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.5.3-ck1
Desktop: lxde
Località: Pisa
Contatta:

Re: SimpleScreenRecorder problema librerie

Messaggio da ponce »

shellx ha scritto:devo installare ffmpeg prima di compilare la slackbuild di ssr ? Se si qual'è il migliore pacchetto ffmpeg da reperire per questa SB ?
si.

puoi anche usare i pacchetti precompilati per la 14.2 che distribuisce Alien Bob, dovrebbero essere compatibili con l'ffmpeg di SBo per la 14.2 (solite versioni delle librerie)

http://bear.alienbase.nl/mirrors/people ... ds/ffmpeg/

Avatar utente
shellx
Linux 0.x
Linux 0.x
Messaggi: 15
Iscritto il: mer 12 ott 2016, 23:38
Slackware: 14.2
Kernel: 4.4.14
Desktop: Fluxbox
Contatta:

Re: SimpleScreenRecorder problema librerie

Messaggio da shellx »

Ringrazio a tutti per il supporto,
Per lo scopo, fossi in te imparerei ad usare sbopkg e sqg:
https://sbopkg.org

Tornando a ffmpeg Io ne avevo installata una versione precompilata, presa dal repo di AlienBob, anche qui, ti consiglio di impararti slackpkg+:
http://slakfinder.org/slackpkg+.html
ottimo, provvederò a studiarmi i due tool a dovere per facilitarmi in futuro diverse cose, nel frattempo ho risolto con il metodo manuale e tradizionale da voi suggeritomi:

1. installo prima di tutto fffmeg

Codice: Seleziona tutto

root@slack:~# installpkg ffmpeg-3.4.6-x86_64-1alien.txz 
Verifying package ffmpeg-3.4.6-x86_64-1alien.txz.
Installing package ffmpeg-3.4.6-x86_64-1alien.txz:
PACKAGE DESCRIPTION:
# ffmpeg (software to record, convert and stream audio and video)
#
# FFmpeg is a complete solution to record, convert and stream audio and
# video. It includes libavcodec, the leading audio/video codec library. 
#
# ffmpeg home: http://ffmpeg.org/
#
Executing install script for ffmpeg-3.4.6-x86_64-1alien.txz.
Package ffmpeg-3.4.6-x86_64-1alien.txz installed.
2. A questo punto rilancio la compilazione della slackbuild di ssr (che precedentemente mi dava errore di dipendenza)

Codice: Seleziona tutto

root@slack:~#./ssr.SlackBuild
ssr-0.3.11/
ssr-0.3.11/.gitignore
ssr-0.3.11/AUTHORS.md
ssr-0.3.11/CHANGELOG.md
ssr-0.3.11/CMakeLists.txt
ssr-0.3.11/COPYING
ssr-0.3.11/README.md

.............

usr/man/man1/ssr-glinject.1.gz
usr/man/man1/simplescreenrecorder.1.gz
install/
install/doinst.sh
install/slack-desc

Slackware package /tmp/ssr-0.3.11-x86_64-1_SBo.tgz created.

Questa volta mi ha creato il file tgz da installare, e quindi

Codice: Seleziona tutto

root@slack:/tmp# installpkg ssr-0.3.11-x86_64-1_SBo.tgz 
Verifying package ssr-0.3.11-x86_64-1_SBo.tgz.
Installing package ssr-0.3.11-x86_64-1_SBo.tgz:
PACKAGE DESCRIPTION:
# ssr (screen recorder)
#
# SimpleScreenRecorder is a feature-rich screen recorder for Linux.
#
Executing install script for ssr-0.3.11-x86_64-1_SBo.tgz.
Package ssr-0.3.11-x86_64-1_SBo.tgz installed.

Installato ssr e lancio il programma

Codice: Seleziona tutto

root@slack:~# simplescreenrecorder   
==================== SSR started ====================
SimpleScreenRecorder 0.3.11
Compiled with GCC 5.5.0
Qt: header 4.8.7, lib 4.8.7
libavformat: header 57.83.100, lib 57.83.100
libavcodec: header 57.107.100, lib 57.107.100
libavutil: header 55.78.100, lib 55.78.100
libswscale: header 4.8.100, lib 4.8.100
[CPUFeatures::Detect] CPU features: mmx sse sse2 sse3 ssse3
[ALSAInput::GetSourceList] Generating source list ...
[ALSAInput::GetSourceList] Found card: [hw:0] HDA Intel
[ALSAInput::GetSourceList] Found device: [hw:0,0] HDA Intel: ALC269 Analog
[PulseAudioInput::GetSourceList] Generating source list ...
[PulseAudioConnect] Error: Could not connect! Reason: Connection refused
It is possible that your system doesn't use PulseAudio. Try using the ALSA backend instead.
SimpleScreenRecorder si avvia regolarmente, solo un piccolo errore che mi avvisa di usare ALSA perchè il sistema non usa Pulse, ma facilmente configurabile via GUI direttamente dal tool interno.

Posso dire di aver risolto regolarmente il problema. Ringrazio a tutti per le ottime dritte e perdonate la mia nabaggine, la logica di slackware è semplice nella sua complessità, è purista e questo è cio che mi piace di questa distro unix.
Grazie ancora alla prossima ;)
Il sistema dell'universo e dello spazio è come un immenso computer: speriamo non giri Windows

gian_d
Linux 2.x
Linux 2.x
Messaggi: 220
Iscritto il: mer 16 lug 2014, 17:35
Nome Cognome: Giancarlo Dessì
Slackware: 64 current
Kernel: 5.4.xx
Desktop: KDE 4.14.38
Località: Sardinia
Contatta:

Re: [RISOLTO] SimpleScreenRecorder problema librerie

Messaggio da gian_d »

Guarda, in fatto di nabaggine ti batto 4 a 0 e non ti faccio manco mettere la palla al centro :-D

Rispondi